# Web Experience Toolkit: Drupal WxT

[![Build Status][travisci-badge]][travisci]
[![Selenium Test Status][selenium-badge]][selenium]

## Important Links

- Documentation Website: [drupalwxt.github.io][docsite]
- Screencasts: [youtube][youtube]
- Drupal Repository: [drupal.org/project/wetkit][drupal]
- GitHub Repository: [wet-boew/wet-boew-drupal][github]
- Live Demo: [responsinator][responsinator]
- Run it Now: [simplytest.me][simplytest]
- Issue Queue: [Drupal][issue-drupal] (Primary)
- Issue Queue: [GitHub][issue-github]

## Overview

The Drupal WxT distribution is a web content management system which assists in building and maintaining innovative Web sites that are accessible, usable, and interoperable. This distribution is open source software and free for use by departments and external Web communities. This distribution relies and integrates extensively on the [WET-BOEW jQuery Framework][wet-boew] to leverage much of the rendering and overall markup.

Development has been tailored for organizations that need to comply with standards for accessibility and bilingualism or that simply need a distribution that allows them to get up and running quickly using a carefully curated selection of modules that can support common enterprise business requirements.

## Installation Methods

- Pre-Built Distribution: [drupal.org/project/wetkit][drupal] (Novice Users)
- Drush Make: [Documentation Page][docsite-drush-make] (Intermediate Users)

## Version History

### Changelog

- [CHANGELOG.md][changelog]

### Releases

- [Drupal.org][release-drupal]
- [GitHub][release-github]

## License and Developer(s)

Contributor(s): https://github.com/wet-boew/wet-boew-drupal/graphs/contributors

Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at:

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed
under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
CONDITIONS OF ANY KIND, either express or implied. See the License for the
specific language governing permissions and limitations under the License.

<!-- Links Referenced -->

[sylus]:                http://coderwall.com/sylus

[changelog]:            https://github.com/wet-boew/wet-boew-drupal/blob/7.x-4.x/CHANGELOG.md
[coderwall]:            http://coderwall.com/sylus
[coderwall-badge]:      http://api.coderwall.com/sylus/endorsecount.png
[docsite]:              http://drupalwxt.github.io
[docsite-drush-make]:   http://drupalwxt.github.io/architecture/drush-make
[drupal]:               http://drupal.org/project/wetkit
[github]:               https://github.com/wet-boew/wet-boew-drupal
[issue-drupal]:         https://drupal.org/project/issues/wetkit
[issue-github]:         https://github.com/wet-boew/wet-boew-drupal/issues
[release-drupal]:       https://drupal.org/node/1972380/release
[release-github]:       https://github.com/wet-boew/wet-boew-drupal/releases
[responsinator]:        http://www.responsinator.com/?url=demo.drupalwxt.org
[selenium]:             https://saucelabs.com/u/sylus
[selenium-badge]:       https://saucelabs.com/buildstatus/sylus
[simplytest]:           http://simplytest.me/project/wetkit/7.x-4.x
[travisci]:             https://travis-ci.org/wet-boew/wet-boew-drupal
[travisci-badge]:       https://api.travis-ci.org/wet-boew/wet-boew-drupal.svg?branch=7.x-4.x
[wet-boew]:             https://github.com/wet-boew/wet-boew
[youtube]:              http://www.youtube.com/playlist?list=PLjIClrDa-_ZFwO-0sT_y6PGljSdbYztwi
