<?php
/**
 * @file
 * bundles.inc
 * Provides default bundles.
 */

/**
 * Implements hook_icon_providers().
 */
function icon_icon_providers() {
  $providers['lullabot'] = array(
    'title' => t('Lullabot'),
    'url' => 'http://www.lullabot.com/articles/free-gpl-icons-lullacons-pack-1',
  );
  return $providers;
}

/**
 * Implements hook_icon_bundles().
 */
function icon_icon_bundles() {
  $bundles['lullacons_pack1'] = array(
    'render' => 'image',
    'path' => drupal_get_path('module', 'icon') . '/bundles/lullacons',
    'provider' => 'lullabot',
    'title' => t('Lullacons: Pack 1'),
    'icons' => array(
      'alert' => 'alert',
      'arrow-double-down-green' => 'arrow-double-down-green',
      'arrow-double-down-red' => 'arrow-double-down-red',
      'arrow-double-left-green' => 'arrow-double-left-green',
      'arrow-double-left-red' => 'arrow-double-left-red',
      'arrow-double-right-green' => 'arrow-double-right-green',
      'arrow-double-right-red' => 'arrow-double-right-red',
      'arrow-double-up-green' => 'arrow-double-up-green',
      'arrow-double-up-red' => 'arrow-double-up-red',
      'arrow-end-down-green' => 'arrow-end-down-green',
      'arrow-end-down-red' => 'arrow-end-down-red',
      'arrow-end-left-green' => 'arrow-end-left-green',
      'arrow-end-left-red' => 'arrow-end-left-red',
      'arrow-end-right-green' => 'arrow-end-right-green',
      'arrow-end-right-red' => 'arrow-end-right-red',
      'arrow-end-up-green' => 'arrow-end-up-green',
      'arrow-end-up-red' => 'arrow-end-up-red',
      'arrow-single-down-green' => 'arrow-single-down-green',
      'arrow-single-down-red' => 'arrow-single-down-red',
      'arrow-single-left-green' => 'arrow-single-left-green',
      'arrow-single-left-red' => 'arrow-single-left-red',
      'arrow-single-right-green' => 'arrow-single-right-green',
      'arrow-single-right-red' => 'arrow-single-right-red',
      'arrow-single-up-green' => 'arrow-single-up-green',
      'arrow-single-up-red' => 'arrow-single-up-red',
      'arrow-small-down-green' => 'arrow-small-down-green',
      'arrow-small-down-red' => 'arrow-small-down-red',
      'arrow-small-left-green' => 'arrow-small-left-green',
      'arrow-small-left-red' => 'arrow-small-left-red',
      'arrow-small-right-green' => 'arrow-small-right-green',
      'arrow-small-right-red' => 'arrow-small-right-red',
      'arrow-small-up-green' => 'arrow-small-up-green',
      'arrow-small-up-red' => 'arrow-small-up-red',
      'bot-plain-blue' => 'bot-plain-blue',
      'bot-plain-green' => 'bot-plain-green',
      'bot-plain-red' => 'bot-plain-red',
      'bot-plain-white' => 'bot-plain-white',
      'bot-plain-yellow' => 'bot-plain-yellow',
      'bullet-arrow-down' => 'bullet-arrow-down',
      'bullet-arrow-right' => 'bullet-arrow-right',
      'bullet-round' => 'bullet-round',
      'bullet-sm-arrow-down' => 'bullet-sm-arrow-down',
      'bullet-sm-arrow-right' => 'bullet-sm-arrow-right',
      'bullet-square' => 'bullet-square',
      'calendar' => 'calendar',
      'cart' => 'cart',
      'database-option-add' => 'database-option-add',
      'database-option-remove' => 'database-option-remove',
      'database' => 'database',
      'date-option-add' => 'date-option-add',
      'date-option-remove' => 'date-option-remove',
      'date-plain' => 'date-plain',
      'doc-option-add' => 'doc-option-add',
      'doc-option-edit' => 'doc-option-edit',
      'doc-option-remove' => 'doc-option-remove',
      'doc-option-tab' => 'doc-option-tab',
      'doc-plain-blue' => 'doc-plain-blue',
      'doc-plain-green' => 'doc-plain-green',
      'doc-plain-orange' => 'doc-plain-orange',
      'doc-plain-red' => 'doc-plain-red',
      'doc-plain-white' => 'doc-plain-white',
      'doc-type-bmp' => 'doc-type-bmp',
      'doc-type-doc' => 'doc-type-doc',
      'doc-type-gif' => 'doc-type-gif',
      'doc-type-jpg' => 'doc-type-jpg',
      'doc-type-pict' => 'doc-type-pict',
      'doc-type' => 'doc-type',
      'doc-type-ppt' => 'doc-type-ppt',
      'doc-type-xls' => 'doc-type-xls',
      'error' => 'error',
      'folder-closed-blue' => 'folder-closed-blue',
      'folder-closed-green' => 'folder-closed-green',
      'folder-closed-red' => 'folder-closed-red',
      'folder-closed-white' => 'folder-closed-white',
      'folder-open-blue' => 'folder-open-blue',
      'folder-open-green' => 'folder-open-green',
      'folder-open-red' => 'folder-open-red',
      'folder-open-white' => 'folder-open-white',
      'folder-option-add' => 'folder-option-add',
      'folder-option-denied' => 'folder-option-denied',
      'folder-option-insert' => 'folder-option-insert',
      'folder-option-remove' => 'folder-option-remove',
      'info' => 'info',
      'large-alert' => 'large-alert',
      'large-info' => 'large-info',
      'large-stop' => 'large-stop',
      'mail-open' => 'mail-open',
      'mail' => 'mail',
      'mini-category' => 'mini-category',
      'mini-comment' => 'mini-comment',
      'mini-doc' => 'mini-doc',
      'mini-edit' => 'mini-edit',
      'mini-mail-open' => 'mini-mail-open',
      'mini-mail' => 'mini-mail',
      'mini-time' => 'mini-time',
      'mini-trash' => 'mini-trash',
      'movie-option-add' => 'movie-option-add',
      'movie-option-remove' => 'movie-option-remove',
      'movie' => 'movie',
      'photo-multiple-option-add' => 'photo-multiple-option-add',
      'photo-multiple-option-remov' => 'photo-multiple-option-remov',
      'photo-multiple' => 'photo-multiple',
      'photo-option-add' => 'photo-option-add',
      'photo-option-remove' => 'photo-option-remove',
      'photo' => 'photo',
      'time' => 'time',
      'user-multiple' => 'user-multiple',
      'user-option-add' => 'user-option-add',
      'user-option-remove' => 'user-option-remove',
      'user-plain-blue' => 'user-plain-blue',
      'user-plain-green' => 'user-plain-green',
      'user-plain-red' => 'user-plain-red',
      'user-plain-yellow' => 'user-plain-yellow',
    ),
  );
  return $bundles;
}
